For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update pricelist

Update a price list using its ID.

put
Path parameters
idstringRequired
Body
defaultMarkupnumber · double · nullableOptional
defaultMarginnumber · double · nullableOptional
notesstring · nullableOptional
Responses
200

OK

application/json
idstringOptional
revisioninteger · int32Optional
currencystringOptional
precisioninteger · int32Optional
defaultMarkupnumber · doubleOptional
defaultMarginnumber · doubleOptional
notesstring · nullableOptional
put/public/v1/catalog/price-lists/{id}
PUT /public/v1/catalog/price-lists/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "externalIds": {
    "vendor": "text"
  },
  "defaultMarkup": 1,
  "defaultMargin": 1,
  "notes": "text"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "revision": 1,
  "currency": "text",
  "precision": 1,
  "defaultMarkup": 1,
  "defaultMargin": 1,
  "notes": "text",
  "externalIds": {
    "vendor": "text"
  },
  "statistics": {
    "sellers": 1,
    "listings": 1,
    "priceListItems": 1,
    "purchasePriceItems": 1,
    "purchasePriceCompleteness": 1,
    "salesPriceItems": 1,
    "salesPriceCompleteness": 1,
    "averageMarkup": 1,
    "averageMargin": 1
  },
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "vendor": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "type": "Client",
    "status": "Active"
  }
}

Last updated

Was this helpful?